Bug 1642182 (CVE-2018-12392) - CVE-2018-12392 Mozilla: Crash with nested event loops
Summary: CVE-2018-12392 Mozilla: Crash with nested event loops
Status: CLOSED ERRATA
Alias: CVE-2018-12392
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20181023,repo...
Keywords: Security
Depends On: 1649193 1649195 1640852 1640854 1644504 1644506
Blocks: 1640850 1644502
TreeView+ depends on / blocked
 
Reported: 2018-10-23 22:07 UTC by Doran Moppert
Modified: 2018-11-13 06:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-11-13 06:15:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3005 None None None 2018-10-24 22:09 UTC
Red Hat Product Errata RHSA-2018:3006 None None None 2018-10-24 22:10 UTC
Red Hat Product Errata RHSA-2018:3531 None None None 2018-11-09 11:48 UTC
Red Hat Product Errata RHSA-2018:3532 None None None 2018-11-09 11:48 UTC

Description Doran Moppert 2018-10-23 22:07:12 UTC
When manipulating user events in nested loops while opening a document through script, it is possible to trigger a potentially exploitable crash due to poor event handling. 



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-27/#CVE-2018-12392

Comment 1 Doran Moppert 2018-10-23 22:07:22 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Nils

Comment 2 errata-xmlrpc 2018-10-24 22:09:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3005 https://access.redhat.com/errata/RHSA-2018:3005

Comment 3 errata-xmlrpc 2018-10-24 22:09:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:3006 https://access.redhat.com/errata/RHSA-2018:3006

Comment 4 errata-xmlrpc 2018-11-09 11:48:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:3531 https://access.redhat.com/errata/RHSA-2018:3531

Comment 5 errata-xmlrpc 2018-11-09 11:48:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3532 https://access.redhat.com/errata/RHSA-2018:3532


Note You need to log in before you can comment on or make changes to this bug.